Skip to main content

Policy

get

Returns information and settings of policies by identifier.

POST /api/v5/policy/get
Request object
{  
"Id": "00000000-0000-0000-0000-000000000000",
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • Id — required parameter. Policy identifier.
  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
{  
"Id": "00000000-0000-0000-0000-000000000000",
"Name": "string",
"Description": "string",
"Settings": \[
{
"Id": "00000000-0000-0000-0000-000000000000",
"SettingType": 0,
"Value": {},
"ParentId": "00000000-0000-0000-0000-000000000000"
}
\],
"CreatedById": "string",
"CreatedTime": "2022-10-26T07:23:08.768Z",
"LastEditedById": "string",
"LastEditedTime": "2022-10-26T07:23:08.768Z"
}

in the response object:

  • SettingType:
    • 0 — policy scope. The internal GUID of the scope objects is returned.
    • 1 — policy applications.
    • 2 — policy priority.